<?php

namespace App\Providers;

use App\Models\Complain;
use App\Models\Customer;
use App\Models\Inquiry;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class PartialServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        // Complains Section start
        View::composer(['includes.sidebar'], function($view){
            $queued_complain  = Complain::where('status' , 'queued')->get();
            $view->with('queued_complain', $queued_complain);
        });

        View::composer(['includes.sidebar'], function($view){
            $process_complain = Complain::where('status' , 'process')->get();
            $view->with('process_complain', $process_complain);
        });

        View::composer(['includes.sidebar'], function($view){
            $resolved_complain = Complain::where('status' , 'complete')->get();
            $view->with('resolved_complain', $resolved_complain);
        });

        // Complains Section end


        // Inquiries Section start
        View::composer(['includes.sidebar'], function($view){
            $queued_inquiry = Inquiry::where('status' , 'queued')->get();
            $view->with('queued_inquiry', $queued_inquiry);
        });

        View::composer(['includes.sidebar'], function($view){
            $process_inquiry = Inquiry::where('status' , 'process')->get();
            $view->with('process_inquiry', $process_inquiry);
        });

        View::composer(['includes.sidebar'], function($view){
            $resolved_inquiry = Inquiry::where('status' , 'complete')->get();
            $view->with('resolved_inquiry', $resolved_inquiry);
        });

        // Inquiries Section end

    }
}
